/*
 * Copyright (c) 1989 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted provided
 * that: (1) source distributions retain this entire copyright notice and
 * comment, and (2) distributions including binaries display the following
 * acknowledgement:  ``This product includes software developed by the
 * University of California, Berkeley and its contributors'' in the
 * documentation or other materials provided with the distribution and in
 * all advertising materials mentioning features or use of this software.
 * Neither the name of the University nor the names of its contributors may
 * be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 *	@(#)pathnames.h	5.4 (Berkeley) 6/1/90
 *
 * Feb 92 - Modified by Jorge Frazao de Oliveira <frazao@puug.pt>
 *             for use with the DDT package.
 *
 * May 93 - Added definitions for subst(1) by Artur Romao <artur@dns.pt>
 *
 */


/* =()<#define _PATH_BOOT        "@<BOOTFILE>@">()= */
#define _PATH_BOOT        "/etc/named.boot"

#if defined(BSD) && BSD >= 198810
#include <paths.h>

/* =()<#define _PATH_XFER      "@<XFER>@/ddt-xfer">()= */
#define _PATH_XFER      "/usr/local/lib/ddt/cmd/ddt-xfer"

/* =()<#define _PATH_DEBUG     "@<DEBUGFILE>@">()= */
#define _PATH_DEBUG     "/var/tmp/named.run"

/* =()<#define _PATH_TMPXFER   "@<TMPXFER>@">()= */
#define _PATH_TMPXFER   "/var/tmp/xfer.ddt.XXXXXX"

/* =()<#define _PATH_DB        "@<CACHE>@">()= */
#define _PATH_DB        "/usr/local/lib/ddt/cache"


#else /* BSD */


/* =()<#define _PATH_XFER      "@<XFER>@/ddt-xfer">()= */
#define _PATH_XFER      "/usr/local/lib/ddt/cmd/ddt-xfer"

/* =()<#define _PATH_DEBUG     "@<DEBUGFILE>@">()= */
#define _PATH_DEBUG     "/var/tmp/named.run"

/* =()<#define _PATH_TMPXFER   "@<TMPXFER>@">()= */
#define _PATH_TMPXFER   "/var/tmp/xfer.ddt.XXXXXX"

/* =()<#define _PATH_DB        "@<CACHE>@">()= */
#define _PATH_DB        "/usr/local/lib/ddt/cache"
#endif /* BSD */
